{%  load static  %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <title>Login Page</title>
</head>
<body>
    <div class="container">
        <div class="row">
            <header>
                <div class="row">
                    <div class="logo-row">
                        <!-- <div class="d-flex flex-col align-items-center"> -->
                            <img src="{% static 'images/logo.svg' %}" alt="logo swabIn" width="70" height="85">
                            <h3>Swab.In</h3>
                        <!-- </div> -->
                    </div>
                </div>
              </header>
          <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
            <div class="card border-0 shadow rounded-3 my-5">
              <div class="card-body p-4 p-sm-5">
                <form id="loginForm">
                  {% csrf_token %}
                  <div class="form-floating mb-3">
                    <input type="username" id="username" class="form-control"  placeholder="username" name="username" required>
                    <label for="floatingInput">Username</label>
                  </div>
                  <div class="form-floating mb-3">
                    <input type="password" id="password" class="form-control" placeholder="Password" name="password" required>
                    <label for="floatingPassword">Password</label>
                  </div>
    
                  <div class="form-check mb-3">
                    <input class="form-check-input" type="checkbox" value="" id="rememberPasswordCheck">
                    <label class="form-check-label" for="rememberPasswordCheck">
                      Remember password
                    </label>
                  </div>
                  <div class="d-grid">
                    <button class="btn btn-primary btn-login fw-bold" type="button" id="loginButton" onclick="login()">Login</button>
                  </div>
                  <br>
                  <div class="row mb-2 px-6"> <small class="font-weight-bold">Belum punya akun? <a href="/register/">Register</a></small> </div>
                  <hr class="my-4">
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
</body>
      <script src="https://code.jquery.com/jquery-3.5.1.js"
      integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous"></script>
      <script> 
          function login() {
              var username = $('#username').val()
              var password = $('#password').val()
              $.ajax({                                                                                                                           
                type:"POST",                                                                                                                    
                url: 'http://127.0.0.1:8000/auth/',                                                                                                   
                data: $('#loginForm').serialize(),                                                                                  
                success: function(response){ 
                  console.log(response)
                                                                             
                }                                                                                                                             
            });
          }
        </script>

</html>